// SampleMultiDocTemplate.h : interface of the CSampleMultiDocTemplate class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SAMPLEMULTIDOCTEMPLATE_H__INCLUDED_)
#define AFX_SAMPLEMULTIDOCTEMPLATE_H__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CSampleImageDoc;

class CSampleMultiDocTemplate : public CMultiDocTemplate
{
// Constructors
public:
	CSampleMultiDocTemplate(UINT nIDResource, CRuntimeClass* pDocClass, CRuntimeClass* pFrameClass, CRuntimeClass* pViewClass,
							CRuntimeClass* pDocImageClass, CRuntimeClass* pViewImageClass);
	virtual ~CSampleMultiDocTemplate();

// Implementation
public:
	virtual CDocument* OpenDocumentFile(
		LPCTSTR lpszPathName, BOOL bMakeVisible = TRUE);

	CSampleImageDoc* createDocImageObject()
	{
		return (CSampleImageDoc*)m_pDocImageClass->CreateObject();
	}
	CFrameWnd* CreateNewImageFrame(CDocument* pDoc, CFrameWnd* pOther);

private:
	CRuntimeClass* m_pDocImageClass;
	CRuntimeClass* m_pViewImageClass;
};



#endif // AFX_SAMPLEMULTIDOCTEMPLATE_H__INCLUDED_