
#if !defined(AFX_SCRSYNTAXCOLORER_INCLUDED_)
#define AFX_SCRSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"
#include "SharedStack.h"

class ScrSyntaxColorState
{
public:
	ScrSyntaxColorState();
	ScrSyntaxColorState(ScrSyntaxColorState* original);

	SharedStack<char> stateStack;
	long state;
};

class ScrSyntaxColorer : public AbstractStateSyntaxColorer<ScrSyntaxColorState>
{
public:
	ScrSyntaxColorer();
	
	void parseLine(const char *line, ScrSyntaxColorState &state, int &lineFlags);
};

#endif // AFX_SCRSYNTAXCOLORER_INCLUDED_