
#if !defined(AFX_XMLSYNTAXCOLORER_INCLUDED_)
#define AFX_XMLSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"
#include "SharedStack.h"

class XMLSyntaxColorState
{
public:
	XMLSyntaxColorState();
	XMLSyntaxColorState(XMLSyntaxColorState* original);

	SharedStack<CString> stateStack;
	long state;
};

class XMLSyntaxColorer : public AbstractStateSyntaxColorer<XMLSyntaxColorState>
{
public:
	XMLSyntaxColorer();
	
	void parseLine(const char *line, XMLSyntaxColorState &state, int &lineFlags);
};

#endif // AFX_XMLSYNTAXCOLORER_INCLUDED_