// AbstractDocument.h : interface of the CAbstractDocument class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ABSTRACTDOCUMENT_H__INCLUDED_)
#define AFX_ABSTRACTDOCUMENT_H__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CAbstractDocument : public CDocument
{
public:
	CAbstractDocument() : _silent(false) {}
	virtual int documentType() = 0;
	void setSilent() { _silent = true; }
	virtual void ReportSaveLoadException(LPCTSTR lpszPathName, CException* e, BOOL bSaving, UINT nIDPDefault)
	{
		if (!_silent)
			CDocument::ReportSaveLoadException(lpszPathName, e, bSaving, nIDPDefault);
	}
protected:
	bool _silent;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ABSTRACTDOCUMENT_H__INCLUDED_)
