#if !defined(AFX_CVBSYNTAXCOLORER_INCLUDED_)
#define AFX_CVBSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"

class cvbParseState
{
public:
	cvbParseState() : state(0), magix(0xFC1245EF) {}
	cvbParseState(cvbParseState *oldState) : state(oldState->state), magix(0xFC1245EF) {}
	
	long state;
	long magix;
};

class cvbSyntaxColorer : public AbstractStateSyntaxColorer<cvbParseState>
{
public:
	cvbSyntaxColorer();
	
	void parseLine(const char *line, cvbParseState &state, int &lineFlags);
};

#endif // AFX_CVBSYNTAXCOLORER_INCLUDED_